Package com.mapd.thrift.server

## Class MapD.replace_dashboard_args

- java.lang.Object
- - com.mapd.thrift.server.MapD.replace_dashboard_args

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Comparable<MapD.replace_dashboard_args>`, `org.apache.thrift.TBase<MapD.replace_dashboard_args,​MapD.replace_dashboard_args._Fields>`, `org.apache.thrift.TSerializable`

Enclosing class:
  MapD

    public static class MapD.replace_dashboard_args
    extends Object
    implements org.apache.thrift.TBase<MapD.replace_dashboard_args,​MapD.replace_dashboard_args._Fields>, Serializable, Cloneable, Comparable<MapD.replace_dashboard_args>

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `MapD.replace_dashboard_args._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

### Field Summary

Fields
`int` `dashboard_id`
`String` `dashboard_metadata`
`String` `dashboard_name`
`String` `dashboard_owner`
`String` `dashboard_state`
`String` `image_hash`
`static Map<MapD.replace_dashboard_args._Fields,​org.apache.thrift.meta_data.FieldMetaData>` `metaDataMap`
`String` `session`

### Constructor Summary

Constructors
`replace_dashboard_args()`
`replace_dashboard_args​(MapD.replace_dashboard_args other)` Performs a deep copy on other.
`replace_dashboard_args​(String session, int dashboard_id, String dashboard_name, String dashboard_owner, String dashboard_state, String image_hash, String dashboard_metadata)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `clear()`
`int` `compareTo​(MapD.replace_dashboard_args other)`
`MapD.replace_dashboard_args` `deepCopy()`
`boolean` `equals​(MapD.replace_dashboard_args that)`
`boolean` `equals​(Object that)`
`MapD.replace_dashboard_args._Fields` `fieldForId​(int fieldId)`
`int` `getDashboard_id()`
`String` `getDashboard_metadata()`
`String` `getDashboard_name()`
`String` `getDashboard_owner()`
`String` `getDashboard_state()`
`Object` `getFieldValue​(MapD.replace_dashboard_args._Fields field)`
`String` `getImage_hash()`
`String` `getSession()`
`int` `hashCode()`
`boolean` `isSet​(MapD.replace_dashboard_args._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
`boolean` `isSetDashboard_id()` Returns true if field dashboard_id is set (has been assigned a value) and false otherwise
`boolean` `isSetDashboard_metadata()` Returns true if field dashboard_metadata is set (has been assigned a value) and false otherwise
`boolean` `isSetDashboard_name()` Returns true if field dashboard_name is set (has been assigned a value) and false otherwise
`boolean` `isSetDashboard_owner()` Returns true if field dashboard_owner is set (has been assigned a value) and false otherwise
`boolean` `isSetDashboard_state()` Returns true if field dashboard_state is set (has been assigned a value) and false otherwise
`boolean` `isSetImage_hash()` Returns true if field image_hash is set (has been assigned a value) and false otherwise
`boolean` `isSetSession()` Returns true if field session is set (has been assigned a value) and false otherwise
`void` `read​(org.apache.thrift.protocol.TProtocol iprot)`
`MapD.replace_dashboard_args` `setDashboard_id​(int dashboard_id)`
`void` `setDashboard_idIsSet​(boolean value)`
`MapD.replace_dashboard_args` `setDashboard_metadata​(String dashboard_metadata)`
`void` `setDashboard_metadataIsSet​(boolean value)`
`MapD.replace_dashboard_args` `setDashboard_name​(String dashboard_name)`
`void` `setDashboard_nameIsSet​(boolean value)`
`MapD.replace_dashboard_args` `setDashboard_owner​(String dashboard_owner)`
`void` `setDashboard_ownerIsSet​(boolean value)`
`MapD.replace_dashboard_args` `setDashboard_state​(String dashboard_state)`
`void` `setDashboard_stateIsSet​(boolean value)`
`void` `setFieldValue​(MapD.replace_dashboard_args._Fields field, Object value)`
`MapD.replace_dashboard_args` `setImage_hash​(String image_hash)`
`void` `setImage_hashIsSet​(boolean value)`
`MapD.replace_dashboard_args` `setSession​(String session)`
`void` `setSessionIsSet​(boolean value)`
`String` `toString()`
`void` `unsetDashboard_id()`
`void` `unsetDashboard_metadata()`
`void` `unsetDashboard_name()`
`void` `unsetDashboard_owner()`
`void` `unsetDashboard_state()`
`void` `unsetImage_hash()`
`void` `unsetSession()`
`void` `validate()`
`void` `write​(org.apache.thrift.protocol.TProtocol oprot)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### session

    public String session

#### dashboard_id

    public int dashboard_id

#### dashboard_name

    public String dashboard_name

#### dashboard_owner

    public String dashboard_owner

#### dashboard_state

    public String dashboard_state

#### image_hash

    public String image_hash

#### dashboard_metadata

    public String dashboard_metadata

#### metaDataMap

    public static final Map<MapD.replace_dashboard_args._Fields,​org.apache.thrift.meta_data.FieldMetaData> metaDataMap

### Constructor Detail

#### replace_dashboard_args

    public replace_dashboard_args()

#### replace_dashboard_args

    public replace_dashboard_args​(String session,
                                  int dashboard_id,
                                  String dashboard_name,
                                  String dashboard_owner,
                                  String dashboard_state,
                                  String image_hash,
                                  String dashboard_metadata)

#### replace_dashboard_args

    public replace_dashboard_args​(MapD.replace_dashboard_args other)

Performs a deep copy on other.

### Method Detail

#### deepCopy

    public MapD.replace_dashboard_args deepCopy()

Specified by:
  `deepCopy` in interface `org.apache.thrift.TBase<MapD.replace_dashboard_args,​MapD.replace_dashboard_args._Fields>`

#### clear

    public void clear()

Specified by:
  `clear` in interface `org.apache.thrift.TBase<MapD.replace_dashboard_args,​MapD.replace_dashboard_args._Fields>`

#### getSession

    public String getSession()

#### setSession

    public MapD.replace_dashboard_args setSession​(String session)

#### unsetSession

    public void unsetSession()

#### isSetSession

    public boolean isSetSession()

Returns true if field session is set (has been assigned a value) and false otherwise

#### setSessionIsSet

    public void setSessionIsSet​(boolean value)

#### getDashboard_id

    public int getDashboard_id()

#### setDashboard_id

    public MapD.replace_dashboard_args setDashboard_id​(int dashboard_id)

#### unsetDashboard_id

    public void unsetDashboard_id()

#### isSetDashboard_id

    public boolean isSetDashboard_id()

Returns true if field dashboard_id is set (has been assigned a value) and false otherwise

#### setDashboard_idIsSet

    public void setDashboard_idIsSet​(boolean value)

#### getDashboard_name

    public String getDashboard_name()

#### setDashboard_name

    public MapD.replace_dashboard_args setDashboard_name​(String dashboard_name)

#### unsetDashboard_name

    public void unsetDashboard_name()

#### isSetDashboard_name

    public boolean isSetDashboard_name()

Returns true if field dashboard_name is set (has been assigned a value) and false otherwise

#### setDashboard_nameIsSet

    public void setDashboard_nameIsSet​(boolean value)

#### getDashboard_owner

    public String getDashboard_owner()

#### setDashboard_owner

    public MapD.replace_dashboard_args setDashboard_owner​(String dashboard_owner)

#### unsetDashboard_owner

    public void unsetDashboard_owner()

#### isSetDashboard_owner

    public boolean isSetDashboard_owner()

Returns true if field dashboard_owner is set (has been assigned a value) and false otherwise

#### setDashboard_ownerIsSet

    public void setDashboard_ownerIsSet​(boolean value)

#### getDashboard_state

    public String getDashboard_state()

#### setDashboard_state

    public MapD.replace_dashboard_args setDashboard_state​(String dashboard_state)

#### unsetDashboard_state

    public void unsetDashboard_state()

#### isSetDashboard_state

    public boolean isSetDashboard_state()

Returns true if field dashboard_state is set (has been assigned a value) and false otherwise

#### setDashboard_stateIsSet

    public void setDashboard_stateIsSet​(boolean value)

#### getImage_hash

    public String getImage_hash()

#### setImage_hash

    public MapD.replace_dashboard_args setImage_hash​(String image_hash)

#### unsetImage_hash

    public void unsetImage_hash()

#### isSetImage_hash

    public boolean isSetImage_hash()

Returns true if field image_hash is set (has been assigned a value) and false otherwise

#### setImage_hashIsSet

    public void setImage_hashIsSet​(boolean value)

#### getDashboard_metadata

    public String getDashboard_metadata()

#### setDashboard_metadata

    public MapD.replace_dashboard_args setDashboard_metadata​(String dashboard_metadata)

#### unsetDashboard_metadata

    public void unsetDashboard_metadata()

#### isSetDashboard_metadata

    public boolean isSetDashboard_metadata()

Returns true if field dashboard_metadata is set (has been assigned a value) and false otherwise

#### setDashboard_metadataIsSet

    public void setDashboard_metadataIsSet​(boolean value)

#### setFieldValue

    public void setFieldValue​(MapD.replace_dashboard_args._Fields field,
                              Object value)

Specified by:
  `setFieldValue` in interface `org.apache.thrift.TBase<MapD.replace_dashboard_args,​MapD.replace_dashboard_args._Fields>`

#### getFieldValue

    public Object getFieldValue​(MapD.replace_dashboard_args._Fields field)

Specified by:
  `getFieldValue` in interface `org.apache.thrift.TBase<MapD.replace_dashboard_args,​MapD.replace_dashboard_args._Fields>`

#### isSet

    public boolean isSet​(MapD.replace_dashboard_args._Fields field)

Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

Specified by:
  `isSet` in interface `org.apache.thrift.TBase<MapD.replace_dashboard_args,​MapD.replace_dashboard_args._Fields>`

#### equals

    public boolean equals​(Object that)

Overrides:
  `equals` in class `Object`

#### equals

    public boolean equals​(MapD.replace_dashboard_args that)

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### compareTo

    public int compareTo​(MapD.replace_dashboard_args other)

Specified by:
  `compareTo` in interface `Comparable<MapD.replace_dashboard_args>`

#### fieldForId

    public MapD.replace_dashboard_args._Fields fieldForId​(int fieldId)

Specified by:
  `fieldForId` in interface `org.apache.thrift.TBase<MapD.replace_dashboard_args,​MapD.replace_dashboard_args._Fields>`

#### read

    public void read​(org.apache.thrift.protocol.TProtocol iprot)
              throws org.apache.thrift.TException

Specified by:
  `read` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### write

    public void write​(org.apache.thrift.protocol.TProtocol oprot)
               throws org.apache.thrift.TException

Specified by:
  `write` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### validate

    public void validate()
                  throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`